Skip to main content

Generate Storage Integration Authorization Materials (V2)

This operation generates provider-specific authorization materials that are required before creating or validating a storage integration.

POST/v2/storageIntegrations/authorizationMaterials
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

shell
export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
Request Body
projectIdstringrequired

The ID of the project.

regionIdstringrequired

The ID of the region. The server uses this field to derive the cloud provider.

bucketNamestringrequired

The bucket, container, or storage name used to generate policies or credentials.

bash
export TOKEN="YOUR_API_KEY"

curl --request POST \
--url "${BASE_URL}/v2/storageIntegrations/authorizationMaterials" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"projectId": "proj-xxxxxxxxxxxxxxxxxxxxxx",
"regionId": "aws-us-west-2",
"bucketName": "my-bucket"
}'
bash
export TOKEN="YOUR_API_KEY"

curl --request POST \
--url "${BASE_URL}/v2/storageIntegrations/authorizationMaterials" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"projectId": "proj-xxxxxxxxxxxxxxxxxxxxxx",
"regionId": "gcp-us-central1",
"bucketName": "my-gcs-bucket"
}'
bash
export TOKEN="YOUR_API_KEY"

curl --request POST \
--url "${BASE_URL}/v2/storageIntegrations/authorizationMaterials" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"projectId": "proj-xxxxxxxxxxxxxxxxxxxxxx",
"regionId": "azure-eastus",
"bucketName": "my-blob-container"
}'
Responses

Returns provider-specific authorization materials.

A success response for AWS S3.

codeinteger

Response code.

Example Value: 0
dataobject

Returns the AWS S3 authorization materials.

readonlystring

The read-only AWS S3 policy. Possible values are s3:GetObject, s3:ListBucket, and s3:GetBucketLocation.

readwritestring

The read-write AWS S3 policy. Possible values are s3:GetObject, s3:ListBucket, s3:GetBucketLocation, and s3:PutObject.

iamPolicystring

The AWS IAM policy used by the create workflow. Possible values are s3:GetObject, s3:ListBucket, s3:GetBucketLocation, and s3:PutObject.

trustPolicystring

The provider trust policy.

zillizAccountstring

The Zilliz cloud account or RAM principal to authorize.

externalIdstring

The generated external ID.

A success response for GCP GCS.

codeinteger

Response code.

Example Value: 0
dataobject

Returns the GCP GCS authorization materials.

permissionarray

The GCP bucket permissions to grant.

[]permissionstring
(To be added soon)
googleCloudServiceAccountstring

The Zilliz-managed Google Cloud service account email.

A success response for Azure Blob.

codeinteger

Response code.

Example Value: 0
dataobject

Returns the Azure Blob authorization materials.

credentialobject

Azure authorization credential information.

clusterIssuerUrlstring

The cluster issuer URL for Azure federated identity.

namespacestring

The Kubernetes namespace used by the Zilliz service account.

serviceAccountNamestring

The Zilliz service account name.

A failure response.

codeinteger

Response code.

Example Value: 1800
messagestring

Error message.

Example Value: User hasn't authenticated
AWS S3json
{
"code": 0,
"data": {
"readonly": "{...}",
"readwrite": "{...}",
"iamPolicy": "{...}",
"trustPolicy": "{...}",
"zillizAccount": "306787409409",
"externalId": "zilliz-external-AbCdEf12345678"
}
}
Ctrl I